<simple-notifications [options]="notificationService.options"></simple-notifications>

<!-- <div class="row m-b-15 m-t-15">
  <div class="col-xl-12">
    <div class="card">
      <div class="card-body v-middle" style="text-align: center">
        <button class="btn btn-sm btn-primary waves-light light ripple" (click)="hideAllChilds()">
            Collapse All
        </button>
        <button class="btn btn-sm btn-primary waves-light light ripple m-r-25" (click)="showAllChilds()">
            Expand All
        </button>
        <div class="btn-group">
            <button type="button" class="btn btn-primary btn-sm ripple light" (click)="wbsDisplayHandler.zoomOut()">
              -
            </button>
            <button type="button" class="btn btn-primary btn-sm ripple light" (click)="wbsDisplayHandler.zoomAuto()">Reset</button>
            <button type="button" class="btn btn-primary btn-sm ripple light" (click)="wbsDisplayHandler.zoomIn()">
                +
            </button>
        </div>

      </div>
    </div>
  </div>
</div> -->

<div class="row m-b-15 m-t-15" >
  <div class="col-xl-12">
    <div class="card">
      <div class="card-body"> 
        <div class="wbs-actions">
          <button class="btn btn-sm btn-primary waves-light light ripple" (click)="hideAllChilds()">
              Collapse All
          </button>
          <button class="btn btn-sm btn-primary waves-light light ripple m-r-25" (click)="showAllChilds()">
              Expand All
          </button>
          <div class="btn-group">
              <button type="button" class="btn btn-primary btn-sm ripple light" (click)="wbsDisplayHandler.zoomOut()">-</button>
              <button type="button" class="btn btn-primary btn-sm ripple light" (click)="resetWbsDisplay()">Reset</button>
              <button type="button" class="btn btn-primary btn-sm ripple light" (click)="wbsDisplayHandler.zoomIn()">+</button>
          </div>
        </div>
        <div class="wbs-container"
                (mousedown)="wbsDisplayHandler.mousedown($event)" 
                (mousemove)="wbsDisplayHandler.mousemove($event)" 
                (mouseup)="wbsDisplayHandler.mouseup($event)"
                (dblclick)="wbsDisplayHandler.dbClickOnWbsContainer()">
          <div class="col-md-12" #wbsContainer [style.zoom.%]="wbsDisplayHandler.zoomValue">
            <ng-org-chart *ngIf="topActivity" 
                          [topActivity]="topActivity" 
                          [topActivityStartDate]="topActivity.plannedStartDate" 
						              [topActivityEndDate]="topActivity.plannedEndDate"
                          style="margin-bottom: 25px">
            </ng-org-chart>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
